<?php
/**
 * @file media_ap/includes/MediaAPBrowser.inc
 *
 * Definition of MediaAPBrowser.
 */

/**
 * Media browser plugin for displaying a specific view and display.
 */
class MediaAPBrowser extends MediaBrowserPlugin {
  /**
   * Implements MediaBrowserPluginInterface::access().
   */
  public function access($account = NULL) {
    // @TODO: media_access() is a wrapper for file_entity_access(). Switch to
    // the new function when Media 1.x is deprecated.
    return media_access('create', $account);
  }

  /**
   * Implements MediaBrowserPlugin::view().
   */
  public function view() {
    // Check if the user is able to add remote media.
    if (user_access('add media from remote sources')) {
      $build = array();

      // Make sure the club code has been set, otherwise we can't use the API.
      $api_key = check_plain(variable_get('media_ap_api_key', ''));
      if (empty($api_key)) {
        drupal_set_message(t('The AP API key has not been assigned. Please go to <a href="@url">the Media:AP settings page</a>, fill one in, and then it will be possible to use the AP browser.', array('@url' => url('admin/config/media/ap'))), 'warning');
      }
      else {
        $build['form'] = drupal_get_form('media_ap_add_form', $this->params['types'], $this->params['multiselect']);

        // Don't add the 'submit' button if there are no records.
        if (isset($build['form']['empty'])) {
          $build['form']['actions']['submit']['#access'] = FALSE;
        }
      }

      return $build;
    }
  }
}
