<?php
/**
 * @file
 * Admin page callbacks for the Media: AP module.
 */

/**
 * Form builder; The Media: AP configuration form.
 *
 * @ingroup forms
 * @see system_settings_form()
 */
function media_ap_settings_form() {
  $form['media_ap_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('AP API key'),
    '#default_value' => variable_get('media_ap_api_key', ''),
  );

  $form['media_ap_api_mode'] = array(
    '#type' => 'radios',
    '#title' => t('API mode'),
    '#options' => array(
      'production' => t('Production/Live'),
      'preview' => t('Preview/Development')
    ),
    '#default_value' => variable_get('media_ap_api_mode', 'production'),
  );

  $form['media_ap_browser_per_page'] = array(
    '#type' => 'textfield',
    '#title' => t('Number of photos per browser page'),
    '#default_value' => intval(variable_get('media_ap_browser_per_page', 12)),
  );

  return system_settings_form($form);
}
