<?php
/**
 * @file
 * API information.
 */

/**
 * Implements hook_media_ap_search_args_alter().
 *
 * Customize the query that's submitted to the AP API.
 *
 * @param array $api_args
 *   The arguments to be submitted to the API.
 *
 * @see https://developer.ap.org/ap-content-api
 */
function hook_media_ap_search_args_alter(&$api_args) {
  // Ensure the query string always has "monkey".
  if (!isset($api_args['q'])) {
    $api_args['q'] = 'monkey';
  }
  else (strpos(strtolower($api_args['q']), 'monkey') === FALSE) {
    $api_args['q'] .= ' monkey';
  }

  // Shouldn't need to change the API key.
  // $api_args['apiKey'] = ;

  // Pager - shouldn't need to change this.
  // $api_args['count'] = intval($per_page);
  // $api_args['page'] = intval($page);

  // One of the following: 'newest', 'newsfeed', 'highlights', 'oldest'.
  // $api_args['sortBy'] = 'newest';

  // Allowed values:
  // * 'editorial': Editorial images.
  // * 'creativeRM': Creative rights-managed images.
  // * 'creativeRF': Creative royalty-free images.
  // * 'GraphicsBank': All GraphicsBank content.
  // * 'GraphicsBank_Graphic': Graphics content from GraphicsBank.
  // * 'GraphicsBank_Photo': Photo content from GraphicsBank.
  // * 'all': All available content sets (default).
  // $api_args['contentSet'] = 'all';

  // Additional options:
  // $api_args['source'] = '';
  // $api_args['locations'] = '';
  // $api_args['person'] = '';
  // $api_args['photographer'] = '';
  // $api_args['event'] = '';
  // $api_args['subject'] = '';
  // $api_args['imageId'] = '';
  // $api_args['transref'] = '';
  // $api_args['creationDate'] = '';
  // $api_args['arrivalDate'] = '';
  // $api_args['showParameters'] = 'true';
  // $api_args['metadataLevel'] = '';
}
